<template>
  <BaseDataLoader v-if="loading" />
  <BaseMovieCard v-else :movie="movie" />
</template>

<script>
import movieApi from '@/services/MovieApi';
import BaseDataLoader from '@/components/presentation/BaseDataLoader';
import BaseMovieCard from '@/components/presentation/BaseMovieCard';

export default {
  name: 'MovieCardContainer',
  props: {
    id: {
      type: String,
      required: true
    }
  },
  data() {
    return {
      movie: '',
      loading: true
    };
  },
  components: {
    BaseDataLoader,
    BaseMovieCard
  },
  mounted() {
    movieApi
      .fetchSingleMovie(this.id)
      .then(data => {
        this.movie = data;
        this.loading = false;
      })
      .catch(error => {
        alert(error); // console.log(error)
      });
  }
};
</script>
